Package chatapp.View

# Class ConnexionScreen

java.lang.Object
chatapp.View.ConnexionScreen

    public class ConnexionScreen
    extends java.lang.Object

Classe representant l'interface graphique permettant de se connecter. L'utilisateur rentre un pseudo et choisit une connexion distante ou locale.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`javafx.scene.control.Button` | `connexionButton` |
`javafx.scene.control.RadioButton` | `localButton` |
`javafx.scene.control.TextField` | `pseudonyme` |
`javafx.scene.control.RadioButton` | `remoteButton` |

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`ConnexionScreen()` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`void` | `connexion​(javafx.event.ActionEvent actionEvent)` | Handler permettant de lancer la connexion avec le pseudonyme contenu dans le TextField pseudonyme en appuyant sur le connexionButton

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### connexionButton

public javafx.scene.control.Button connexionButton

### pseudonyme

public javafx.scene.control.TextField pseudonyme

### remoteButton

public javafx.scene.control.RadioButton remoteButton

### localButton

public javafx.scene.control.RadioButton localButton

## Constructor Details

### ConnexionScreen

public ConnexionScreen()

## Method Details

### connexion

public void connexion​(javafx.event.ActionEvent actionEvent)

Handler permettant de lancer la connexion avec le pseudonyme contenu dans le TextField pseudonyme en appuyant sur le connexionButton

Parameters:
  `actionEvent` - L'utilisateur vient d'appuyer sur le bouton connexion